// pages/addFeedback/addFeedback.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    number: 0,
    maxlength: 500,
    imgs: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  chooseImage: function () {
    let that = this;
    wx.chooseMedia({
      count: 1,
      mediaType: ['image'], //video
      sourceType: ['album', 'camera'],
      maxDuration: 30,
      camera: 'back',
      success(res) {
        console.log('res')
        console.log(res.tempFiles[0].tempFilePath)
        that.upData(res.tempFiles[0].tempFilePath)
      }
    })
  },

  upData: function (tempFilePath) {
    let that = this
    wx.uploadFile({
      url: 'https://api.ijolijoli.com/api/upload', //仅为示例，非真实的接口地址
      filePath: tempFilePath,
      name: 'file',
      formData: {
        type: 'image'
      },
      header: {
        "token": wx.getStorageSync('token'),
      },
      success(res) {
        var data = JSON.parse(res.data);
        that.setData({
          imgPath: data.result
        })
        // const data = res.data
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})